Fly.io
Organizations

List All Machines

View as Markdown

List all Machines associated with a specific organization. Machines are sorted by their `updated_at` timestamps, oldest to newest. This API call represents "a point in time". Recent machine changes, including creations and destructions, may take time to propagate. When polling with `updated_after`, offset your timestamps to catch late-arriving events.

GET
/orgs/{org_slug}/machines

List all Machines associated with a specific organization. Machines are sorted by their updated_at timestamps, oldest to newest.

This API call represents "a point in time". Recent machine changes, including creations and destructions, may take time to propagate. When polling with updated_after, offset your timestamps to catch late-arriving events.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

org_slug*string

Fly Organization Slug

Query Parameters

include_deleted?boolean

Include deleted machines

region?string

Region filter

state?string

Comma separated list of states to filter (created, started, stopped, suspended)

summary?boolean

Omit config from responses

updated_after?string

Only return machines updated after this time. Timestamp must be in the RFC 3339 format

cursor?string

Pagination cursor from previous response (takes precedence over updated_after). Note that there is no guarantee that all machines returned by this endpoint are sorted by their updated_at fields. Pagination may reveal machines older than the last updated_at.

limit?integer

The number of machines to fetch (max of 1000). This limit is advisory. Responses may be shorter, or even empty, even when more machines remain. If omitted, the maximum is used

Response Body

application/json

curl -X GET "https://example.com/orgs/string/machines"
{  "error_regions": [    "string"  ],  "last_machine_id": "string",  "last_updated_at": "string",  "machines": [    {      "app_name": "string",      "config": {        "guest": {          "cpu_kind": "string",          "cpus": 0,          "gpu_kind": "string",          "gpus": 0,          "host_dedication_id": "string",          "kernel_args": [            "string"          ],          "max_memory_mb": 0,          "memory_mb": 0,          "persist_rootfs": "never"        },        "image": "string",        "metadata": {          "property1": "string",          "property2": "string"        }      },      "created_at": "string",      "id": "string",      "name": "string",      "private_ip": "string",      "region": "string",      "state": "string",      "updated_at": "string",      "version": "string"    }  ],  "next_cursor": "string"}